Bug 1124885 - Module dependencies missing from brms and bpms layers to support remote runtime engines
Summary: Module dependencies missing from brms and bpms layers to support remote runti...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: CR1
: ---
Assignee: Marco Rietveld
QA Contact: Ivo Bek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 14:43 UTC by Kris Verlaenen
Modified: 2018-01-30 23:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
updated kie-remote-reproducer app (19.27 KB, application/zip)
2014-08-12 23:41 UTC, David Ward
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-568 Major Open Module dependencies missing from brms and bpms layers to support remote runtime engines 2017-02-15 07:12:43 UTC

Description Kris Verlaenen 2014-07-30 14:43:52 UTC
Platform BZ for https://issues.jboss.org/browse/DROOLS-568

Comment 3 Jeremy Lindop 2014-08-12 16:52:01 UTC
Fixed on 6.0.x branch by creating a new org.kie.remote module for the bpms layer.
https://github.com/droolsjbpm/kie-wb-distributions/commit/df1a24c297bc76d41c879a68d6c9677862b555dd

Comment 4 David Ward 2014-08-12 23:41:28 UTC
Created attachment 926226 [details]
updated kie-remote-reproducer app

Comment 5 David Ward 2014-08-12 23:42:01 UTC
Comment on attachment 926226 [details]
updated kie-remote-reproducer app

Updated since this BZ was since created.

Comment 7 Jeremy Lindop 2014-08-15 13:57:46 UTC
Fix bug in org.kie.remote module dependencies

https://github.com/droolsjbpm/kie-wb-distributions/commit/29a9e4261f649899a5fce11c62cab0e7ef96e3fd

Comment 9 Ivo Bek 2014-09-17 14:46:07 UTC
Verified in BPMS 6.0.3.CR1

This is output of the reproducer that successfully deployed though I did not configure the bean and so the tests in the bean failed but not because of the missing classes because they are now used from the provided modules:

16:38:47,983 INFO  [org.jboss.as.ejb3.deployment.processors.EjbJndiBindingsDeploymentUnitProcessor] (MSC service thread 1-3) JNDI bindings for session bean named ReproducerBean in deployment unit deployment "kie-remote-reproducer-0.0.1-SNAPSHOT.jar" are as follows:

	java:global/kie-remote-reproducer-0.0.1-SNAPSHOT/ReproducerBean!org.reproducer.ReproducerBean
	java:app/kie-remote-reproducer-0.0.1-SNAPSHOT/ReproducerBean!org.reproducer.ReproducerBean
	java:module/ReproducerBean!org.reproducer.ReproducerBean
	java:global/kie-remote-reproducer-0.0.1-SNAPSHOT/ReproducerBean
	java:app/kie-remote-reproducer-0.0.1-SNAPSHOT/ReproducerBean
	java:module/ReproducerBean

16:38:47,997 INFO  [stdout] (ServerService Thread Pool -- 66) ******** testJms(): start **********
16:38:48,264 ERROR [org.hornetq.core.server] (Old I/O server worker (parentId: -607223660, [id: 0xdbce8094, /127.0.0.1:5445])) HQ224018: Failed to create session: HornetQException[errorType=SECURITY_EXCEPTION message=HQ119031: Unable to validate user: admin]
16:38:48,276 ERROR [stderr] (ServerService Thread Pool -- 66) org.kie.services.client.api.command.exception.RemoteCommunicationException: Unable to setup a JMS connection.
16:38:48,276 INFO  [stdout] (ServerService Thread Pool -- 66) ******** testJms(): finish **********
16:38:48,276 INFO  [stdout] (ServerService Thread Pool -- 66) ******** testRest(): start **********
16:38:49,401 ERROR [stderr] (ServerService Thread Pool -- 66) org.jboss.resteasy.client.ClientResponseFailure: Unable to find a MessageBodyReader of content-type text/html;charset="utf-8" and type null
16:38:49,402 INFO  [stdout] (ServerService Thread Pool -- 66) ******** testRest(): finish **********
16:38:49,438 INFO  [org.jboss.as.server] (DeploymentScanner-threads - 1) JBAS018559: Deployed "kie-remote-reproducer-0.0.1-SNAPSHOT.jar" (runtime-name : "kie-remote-reproducer-0.0.1-SNAPSHOT.jar"


Note You need to log in before you can comment on or make changes to this bug.